Create Contract Api
curl --request POST \
--url https://api.justpaid.io/api/v1/template/create-contract \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"option_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_quantities": [
{
"service_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 2
}
],
"contract_start_date": "2023-12-25",
"invoice_start_date": "2023-12-25"
}
'import requests
url = "https://api.justpaid.io/api/v1/template/create-contract"
payload = {
"customer_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"option_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_quantities": [
{
"service_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 2
}
],
"contract_start_date": "2023-12-25",
"invoice_start_date": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
template_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
option_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
service_quantities: [{service_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', quantity: 2}],
contract_start_date: '2023-12-25',
invoice_start_date: '2023-12-25'
})
};
fetch('https://api.justpaid.io/api/v1/template/create-contract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contract_uuid": "123e4567-e89b-12d3-a456-426614174000",
"message": "Contract created successfully"
}{
"detail": "Invalid service quantities provided"
}{
"detail": "Customer/Template/Option not found"
}{}Template
Create Contract Api
Creates a contract based on a template and selected option.
POST
/
api
/
v1
/
template
/
create-contract
Create Contract Api
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Schema for contract creation request.
UUID of the customer
UUID of the template
UUID of the selected option
List of service quantities with their respective UUIDs
Show child attributes
Show child attributes
Start date of the contract
Invoice start date of the contract
Was this page helpful?
⌘I
